<?php
namespace PhotoPrismUpload\API;

use Monolog\Logger;
use Monolog\Handler\HandlerInterface;

class LoggerFactory
{
    private static $handlers = [];

    public static function addHandler(HandlerInterface $handler)
    {
        self::$handlers[] = $handler;
    }
    public static function create(string $name)
    {
        $l = new Logger($name);
        $l->setHandlers(self::$handlers);
        $l->info('Initialized');
        return $l;
    }
}
